Skip to navigation

List

View as Markdown
Returns a list all of One Time Incentives attached to subscriptions for a merchant, or a list of one incentives for an individual customer.

Authentication

x-api-keystring

Application API Scope — server-to-server, sent in the x-api-key header. See Authentication.

OR
authorizationstring

Storefront API Scope — client-side, scoped to one customer, sent as a signature in the authorization header. See Authentication.

Query parameters

orderstringOptional
Order Public ID
customerstringOptional
Merchant Customer ID
external_codestringOptional
External code on the OTD
itemstringOptional
Item Public ID
createddateOptional

One Time Incentives whose created date matches exactly (yyyy-mm-dd)

created_startdateOptional

One Time Incentives whose created datetime is greater than or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)

created_enddateOptional

One Time Incentives whose created datetime is less than or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)

last_updateddateOptional

One Time Incentives whose last updated date matches exactly (yyyy-mm-dd)

last_updated_startdateOptional

One Time Incentives whose last updated datetime is greater than or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)

last_updated_enddateOptional

One Time Incentives whose last updated datetime is less than or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)

applied_atdateOptional

One Time Incentives applied on the specified date (yyyy-mm-dd)

applied_at_startdateOptional

One Time Incentives applied after or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)

applied_at_enddateOptional

One Time Incentives applied before or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)

include_item_levelbooleanOptional
If the list is filtered by order, include also the One Time Incentives for all the items linked to this order

Response

200
countintegerOptional

Total number of matching one-time incentives. Not returned with cursor pagination.

nextstring or nullOptional

URL of the next page of results, or null on the last page.

previousstring or nullOptional

URL of the previous page of results, or null on the first page.

resultslist of objectsOptional

Errors

404
Not Found Error